# Generated by Django 3.1.7 on 2021-07-10 10:48

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Call',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('args', models.CharField(max_length=255, null=True)),
                ('is_success', models.BooleanField(default=False, verbose_name='success')),
                ('stdout', models.TextField(null=True)),
                ('exc_type', models.TextField(null=True, verbose_name='type')),
                ('exc_value', models.TextField(null=True, verbose_name='value')),
                ('exc_traceback', models.TextField(null=True, verbose_name='traceback')),
                ('started_at', models.DateTimeField()),
                ('finished_at', models.DateTimeField()),
            ],
            options={
                'db_table': 'django_command_cron_call',
                'ordering': ('-started_at',),
            },
        ),
        migrations.CreateModel(
            name='Command',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('args', models.CharField(blank=True, max_length=255, null=True)),
                ('seconds', models.IntegerField()),
                ('pid', models.IntegerField(null=True)),
                ('calls_count', models.IntegerField(null=True, verbose_name='calls')),
                ('errors_count', models.IntegerField(null=True)),
                ('is_enabled', models.BooleanField(null=True, verbose_name='enabled')),
                ('is_running', models.BooleanField(null=True, verbose_name='running')),
                ('is_success', models.BooleanField(null=True, verbose_name='success')),
                ('run_at', models.DateTimeField(null=True)),
                ('started_at', models.DateTimeField(null=True, verbose_name='started')),
                ('finished_at', models.DateTimeField(null=True, verbose_name='finished')),
            ],
            options={
                'db_table': 'django_command_cron_command',
            },
        ),
        migrations.AddIndex(
            model_name='command',
            index=models.Index(fields=['name'], name='django_comm_name_2c0ecf_idx'),
        ),
        migrations.AddIndex(
            model_name='command',
            index=models.Index(fields=['is_enabled'], name='django_comm_is_enab_2529cf_idx'),
        ),
        migrations.AddIndex(
            model_name='command',
            index=models.Index(fields=['is_running'], name='django_comm_is_runn_6e1c8e_idx'),
        ),
        migrations.AddIndex(
            model_name='command',
            index=models.Index(fields=['is_success'], name='django_comm_is_succ_2fcf15_idx'),
        ),
        migrations.AddIndex(
            model_name='call',
            index=models.Index(fields=['name'], name='django_comm_name_280b73_idx'),
        ),
        migrations.AddIndex(
            model_name='call',
            index=models.Index(fields=['-started_at'], name='django_comm_started_83fe3a_idx'),
        ),
        migrations.AddIndex(
            model_name='call',
            index=models.Index(fields=['-finished_at'], name='django_comm_finishe_4a6a77_idx'),
        ),
    ]
